Package ru.bitel.bgbilling.kernel.admin.web.server.bean

# Class WebMenuDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<WebMenuItem>
ru.bitel.bgbilling.common.dao.AbstractIdDao<WebMenuItem>
ru.bitel.bgbilling.kernel.admin.web.server.bean.WebMenuDao

public class WebMenuDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<WebMenuItem>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_CONTRACT_WEB_MENU`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebMenuDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteData(int webMenuItemId)`
  `Map<Integer,Integer>`
  `getContractCount()`
  `String`
  `getData(int webMenuItemId)`
  `protected WebMenuItem`
  `getFromRS(ResultSet rs)`
  `int`
  `getWebMenuIdForContract(int contractId)`
  `List<WebMenuItem>`
  `list()`
  `void`
  `setWebMenuIdForContract(int webMenuItemId, int contractId)`
  `void`
  `updateData(int webMenuItemId, String data)`
  `protected void`
  `updateImpl(WebMenuItem webMenuItem)`
  `WebMenuItem`
  `updateInfo(WebMenuItem webMenuItem)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_CONTRACT_WEB_MENU

    public static final String TABLE_CONTRACT_WEB_MENU
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WebMenuDao

    public WebMenuDao(Connection con)

- ## Method Details

  - ### getWebMenuIdForContract

    public int getWebMenuIdForContract(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### setWebMenuIdForContract

    public void setWebMenuIdForContract(int webMenuItemId, int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getData

    public String getData(int webMenuItemId) throws SQLException
    Throws:
      `SQLException`

  - ### deleteData

    public void deleteData(int webMenuItemId) throws ru.bitel.bgbilling.common.BGMessageException, SQLException
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `SQLException`

  - ### list

    public List<WebMenuItem> list() throws SQLException
    Overrides:
      `list` in class `ru.bitel.bgbilling.common.dao.AbstractDao<WebMenuItem>`
    Throws:
      `SQLException`

  - ### getContractCount

    public Map<Integer,Integer> getContractCount() throws SQLException
    Throws:
      `SQLException`

  - ### updateInfo

    public WebMenuItem updateInfo(WebMenuItem webMenuItem) throws SQLException
    Throws:
      `SQLException`

  - ### updateData

    public void updateData(int webMenuItemId, String data) throws Exception
    Throws:
      `Exception`

  - ### getFromRS

    protected WebMenuItem getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<WebMenuItem>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(WebMenuItem webMenuItem) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<WebMenuItem>`
    Throws:
      `SQLException`